function [DaConverge,DvConverge] = ConvergeAtomFromResults1(ParamCoef,Da,Dv)
atomIndex = ParamCoef.atomIndex;
usedAtomIndex = unique(atomIndex);
nn = histc(atomIndex,usedAtomIndex);%frequency
% display the most significant AV atoms
[nn,order] = sort(nn,'descend');
usedAtomIndex = usedAtomIndex(order);
daSize = size(Da); daSize = daSize(1:end-1);daLength = prod(daSize);
dvSize = size(Dv); dvSize = dvSize(1:end-1);dvLength = prod(dvSize);


showAtomNum = length(usedAtomIndex);

Da = reshape(Da,daLength,[]);
DaConverge = zeros(daLength,showAtomNum);
for i = 1:showAtomNum,
    k = usedAtomIndex(i);
    da = Da(:,k);
    DaConverge(:,i) = da;
end
DaConverge = reshape(DaConverge,[daSize showAtomNum]);

Dv = reshape(Dv,dvLength,[]);
DvConverge = zeros(dvLength,showAtomNum);
for i = 1:showAtomNum,
    k = usedAtomIndex(i);
    dv = Dv(:,k);
    DvConverge(:,i) = dv;
end
DvConverge = reshape(DvConverge,[dvSize showAtomNum]);
end