function showD(Da,Dv,ExistingFigN,Col,buf,aabb,Fsa,Fsv,WindowSize,colorRange_audio,colorRange_video)


K = size(Dv,4);
if length(size(Da)) ==2 && (size(Da,2)==K),
    audioFlag = 1;
else
    audioFlag = 2;
end

if nargin < 11,
    colorRange_video = [];  
end
if nargin < 10,
    colorRange_audio = []; % e.g. [800 600]
end

if nargin < 9,
    WindowSize = []; % e.g. [800 600]
end
if nargin <8,
    Fsa = [];
end
if nargin<7,
    Fsv = [];
end
if nargin <6,
    aabb=[]; % the ratio of audio and video space vertically
end
if nargin <5,
    buf=[];
end
if nargin <4,
    Col = []; 
end
if nargin < 3,
   ExistingFigN = 0;
end
showAtomNum = K;

for k = 1:showAtomNum,
    fig_no_focus(k+ExistingFigN);clf
    
    dv = Dv(:,:,:,k);
    
    switch audioFlag
        case 1
            da = Da(:,k);
            displayAVdata(da,dv,Col,buf,aabb,Fsa,Fsv,colorRange_audio,colorRange_video);
        case 2
            da = Da(:,:,k);
            da(da<0.00001*max(da(:))) = 0.00001*max(da(:));
            da(da<10^-10) = 10^-10;
            displayAVdata(10*log10(da),dv,Col,buf,aabb,Fsa,Fsv,colorRange_audio,colorRange_video);
    end
    
    if ~isempty(WindowSize)
        set(gcf, 'Position', [1 1 WindowSize]);
    end
end

drawnow

figurehandle = findall(0,'Type','Figure');
temp = figurehandle>(showAtomNum+ExistingFigN);
if any(temp), close(figurehandle(temp)); end
drawnow

