function  visualMask = VMask(audio,videoFeature,PP,audioMix)

[ParamCoef Ra Rv notUse recAudio] = coding(audio,videoFeature,PP);
useCoding = any(recAudio~=0);

useCoding2 = false(1,size(audio,2));
scanIndex = PP.scanIndex;
scanIndex = reshape(scanIndex,[],size(scanIndex,3));
if ~isvector(scanIndex),
    scanIndex = any(scanIndex);
    scanIndex(end) = true;
end
temp = find(~scanIndex(:));
temp = repmat(round((temp-1)*PP.FsaVsFsv),[1 PP.dar])+repmat([1:PP.dar],[length(temp),1]);
temp = unique(temp); temp(temp<1)=[];temp(temp>size(audio,2))=[];
useCoding2(temp) = 1;
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% audioShow = audio;
% audioShow(audioShow<10^-5) = 10^-5;
% temp = 10*log10(audioShow);
% minV = min(temp(:));
% maxV = max(temp(:));
% figure(1);pcolor(temp); shading interp;caxis([minV,maxV]);
% xlabel('Time (s)'); ylabel('Frequency (Hz)');
% axis tight
% colorbar;
% 
% 
% audioShow = recAudio;
% audioShow(audioShow<10^-5) = 10^-5;
% figure(2);pcolor(10*log10(audioShow)); shading interp;caxis([minV,maxV]);
% xlabel('Time (s)'); ylabel('Frequency (Hz)');
% axis tight
% colorbar;


visualMask = ones(size(audio))*0.5;
visualMask(:,useCoding) = recAudio(:,useCoding)./audioMix(:,useCoding);
visualMask(visualMask>1)=1; visualMask(visualMask<0)=0;

if sum(double(useCoding2))>100,
    visualMask(:,useCoding2)=0.1; % to attenuate silence periods
end



