function delayM = mydelay(M,T,dim)
% Qingju Liu, university of surrey
% This programme delay matrix M in the 'dim'-the dimension
if nargin<3,
    dim = 1;
end
A = size(M);
if dim>length(A),
    error(sprintf('There is no dimension %d !', dim));
end
if isvector(M),
    dim = 1; M = M(:);A = size(M);
end
if dim>1,
    dim_before = prod(A(1:(dim-1)));
else
    dim_before = 1;
end
if dim<length(A),
    dim_after = prod(A(dim+1:end));
else
    dim_after = 1;
end


M = reshape(M,[dim_before,A(dim),dim_after]);
if T>=0,
    temp = M(:,1,:);
    delayM = repmat(temp,[1 A(dim) 1]);
    %delayM = zeros(dim_before,A(dim),dim_after);
    if (T+1)<=A(dim),
        delayM(:,(T+1):A(dim),:) = M(:,1:(A(dim)-T),:);
    end
elseif T<0
    temp = M(:,end,:);
    delayM = repmat(temp,[1 A(dim) 1]);
    if 1-T<=A(dim),
        delayM(:,1:(A(dim)+T),:) = M(:,1-T:A(dim),:);
    end
end

delayM = reshape(delayM,A);