
clear all;close all;clc

load  subject1_001.mat
load Dictionary_028.mat

    [H W Frame1] = size(video);
    temp = size(Da);
    atomNum = temp(end);
    DvShow = zeros(H,W,frame,atomNum);


AtomIndex = ParamCoef.AtomIndex;
usedAtomIndex = unique(AtomIndex);
for k=usedAtomIndex,
    index = find(AtomIndex==k);
    n_k = length(index);
    tempVideo = zeros(H,W,frame,n_k);
    for i = 1:n_k,
        z = ParamCoef.Translation_v(index(i));
        tempVideo(:,:,:,i) = video(:,:,z+(0:frame-1));
    end
    DvShow(:,:,:,k) = mean(tempVideo,4);
end
showResult(ParamCoef,Da,DvShow,0);


% Nk = 50;
% Rv = videof;
% frame = size(Dv,2);
% halfNFFTV = size(Rv,1);
% AtomIndex = ParamCoef.AtomIndex;% used atom index eg. 2 2 5 3 3 3 3
% usedAtomIndex = unique(AtomIndex); %e.g. 2 3 5
% Num_usedAtomIndex = histc(AtomIndex,usedAtomIndex); %e.g. 2 4 1
% unusedAtomIndex = setdiff([1:Nk],usedAtomIndex); %e.g. 1 4 6
% % first calculate the gross variance of all the allocated visual atoms
% totalNum = length(AtomIndex);
% permuteAtomIndex = randperm(totalNum);
% totalNumUse = min(50,totalNum);
% permuteAtomIndex = permuteAtomIndex(1:totalNumUse);
% z_array = ParamCoef.Translation_v(permuteAtomIndex);
% 
% videoTensor = zeros(halfNFFTV,frame,totalNumUse);
% for i = 1:totalNumUse
%     videoTensor(:,:,i) = Rv(:,z_array(i)+(0:frame-1));
% end
% videoTensor = reshape(videoTensor,[],totalNumUse);
% videoVar = mean(var(videoTensor,0,2))+eps
% 
% 
% videoVarMax = 0;
% ChangeFlag = false;
% for kk = randperm(length(usedAtomIndex)),
%     k = usedAtomIndex(kk);              % the k-th atom
%     n_k = Num_usedAtomIndex(kk);        % frquency of the k-th atom
%     index = AtomIndex==k;               % when/where the k-th atom occured
%     
%     z_array = ParamCoef.Translation_v(index);
%     videoTensor = zeros(halfNFFTV,frame,n_k);
%     for i = 1:n_k
%         videoTensor(:,:,i) = Rv(:,z_array(i)+(0:frame-1));
%     end
%     videoTensor = reshape(videoTensor,[],n_k);
%     Xvar = mean(var(videoTensor,0,2))+eps
%     
%     %     if Xvar>threshold*videoVar,
%     ChangeFlag = true;
%     if Xvar>videoVarMax,
%         % we get one atom that can be divided via K-means to obtain
%         % two atoms and change unused ones.
%         videoVarMax = Xvar; update_k = k; update_n_k = n_k;
%     end
%     %     end
% end