function SearchAndDelete(filename,dirname)
% find filename in dirname, if it exist, delete it.
if nargin==1,
    dirname = pwd;
end
dirData = dir(dirname);        %# Get the data for the current directory
dirIndex = [dirData.isdir];     %# Find the index for directories
fileList = {dirData(~dirIndex).name}';  %'# Get a list of the files
if ~isempty(fileList),
    for i = 1: length(fileList),
        if strcmp(fileList{i},filename),
            file_Full = cellfun(@(x) fullfile(pwd,x),{fileList{i}},'UniformOutput',false);
            delete(file_Full{1});
            break;
        end
    end
end